/*****************************************************************************
 *
 *	Special effect file for Dungeons of Thuria.
 *
 *	File:	special.c
 *
 *	Author: Brian Lingard
 *
 *	Date:	12/04/96
 *
 *	Revs:
 *	  0.1	02/13/98  converted to "c" file
 *	  0.0 	12/04/96  originated
 *
 *****************************************************************************/


#ifndef MAIN_H
#include "main.h"
#endif


/* 
# special effect file for Dungeons of Thuria
#
# Format: 
# special #, score, phrase
#
*/

SPECIAL_S_T special[] = {
0,   0, "An empty treasure chest sits in the corner.", 	
1,   0, "A treasure chest sits in the corner, which contains:",
2,   0, "The door is shut tight and padlocked.",
3,  10, "The door is shut tight.  A padlock hangs loose.",
4,   0, "The door is open.  A padlock dangles from a rung.",
5,   0, "A rotting skeleton sits upon the throne.",
6,   0, "The skeleton has risen and is attacking you.",
7,  10, "A rotting skeleton lays crumpled in a heap on the floor.",
8,   0, "One beaver in particular looks a bit hungry.",
9,   0, "Having ignored your offering, one beaver tries to bite your leg.",
10,  0, "There is the bloody carcass of a beaver here.",
11,  0, "There is a heavy wooden door, which is closed.",
12,  0, "There is a heavy wooden door, which is open.",
13,  0, "A sign nearby warns against swimming in the river.",
14,  0, "A yellow sign nearby warns against swimming in the river.",
15,  0, "The statue is pointing a bow and arrow towards the north.",
16, 10, "The statue is pointing a bow and arrow towards the south.",
17,  0, "The rope is coiled neatly inside of the basket.",
18, 10, "The rope reaches from the basket all the way up to the opening.", 
19,  0, "An iron grate covers a hole to a room below, but it is locked.",
20, 10, "An iron grate covers a hole to a room below, but it is closed.",
21,  0, "An iron grate is open, revealing a room below.",
22,  0, "A black bear is snoozing peacefully on the oriental rug.",
23, 10, "Some bear fur seems to be stuck to everything.",
24,  0, "The dead carcass of a black bear is lying on the oriental rug.",
25,  0, "Leaning against the eastern wall is a large stone slab.",
26, 10, "A large stone slab partially blocks a narrow passage to the east.",
27,  0, "Your footsteps echo as you peer into the dark fissure.",
28,  0, "A cold wind chills you as you peer into the dark fissure.",
29, 10, "A crystal bridge spans the fissure.",
30,  0, "Broken shards of crystal lie about everywhere.",
31,  0, "You feel a cool breeze blowing in your face.",
32, 10, "You feel like you could walk on water.",
33,  0, "Upon seeing you, the strange man asks you \"What is your name?\"",
34,  0, "The man nods, then asks \"What is your quest?\"",
35,  0, "The man now asks \"Who wrote \'Spells and Tricks\'?\"",
36, 10, "You have successfully answered the man's questions and may now pass.",
-1
};



/* 
# magic words for Dungeons of Thuria
#
# Format: 
# magic #, score, from, to, word, phrase
#
*/

MAGIC_S_T magic[] = {
0,   5, -1, -1, "xyzzy",  "Your vision blurs momentarily, then clears.  Apparently nothing happened.",
1,   5, 15, 15, "plugh",  "A hollow voice echoes plugh, but you haven't moved an inch.", 
2,   5, 27, 20, "plover", "A flash of green light blinds you momentarily.  When your vision\nreturns, you find that ...", 
3,   5, 19,  0, "pillow", "A few feathers fall from the ceiling and land on your nose.\nWhen the sneezing fit ends, you find that ...", 
4,  10, 33, 33, "marcus", "Suddenly, you are floating in a strange black void.  After a few\nmoments reality returns.", 
5,  20, 40, 41, "neep",   "An orange mist swirls around your head.  You black out.  When you\nawake, you find that ...", 
-1
};



/* 
# ranks for Dungeons of Thuria
#
# Format: 
# rank #, title, phrase
#
*/

RANK_S_T rank[] = {
0, "Hopeless",		"Maybe you should stick to playing Doom.",
1, "Clueless",		"Well, at least you're trying.",
2, "Apprentice",	"You don't get out much, do you?",
3, "Journeyman",	"Don't you ever sleep?",
4, "Magician", 		"Hey, you're quite the wiz at this stuff!",
5, "Wizard", 		"The gods of interactive fiction bow down to you.",
-1
};


/* end of special.c */
